# -*- coding: utf-8 -*-
#在PC上运行这个文件，python3.6及以上版本
#注意要更改本代码中的串口号
#命令行：python led_buzz_controller.py

import tkinter as tk
import serial
import json

window=tk.Tk()
window.title('控制掌控LED灯及蜂鸣器')
window.geometry('450x450')
com=serial.Serial('COM46',115200,timeout=2) #更改成你自己的串口号

r=0
g=0
b=0
freq=0

l=tk.Label(window,width=40,height=4,text='拖动滑块，控制掌控板的LED灯及蜂鸣器')
l.pack()

def send_command():
  global r,g,b,freq
  msg={}
  msg["r"]=r
  msg["g"]=g
  msg["b"]=b
  msg["freq"]=freq
  print(json.dumps(msg))
  com.write((json.dumps(msg)+"\r\n").encode('utf-8'))

def set_r(v):
  global r
  r = v
  send_command()

def set_g(v):
  global g
  g = v
  send_command()

def set_b(v):
  global b
  b = v
  send_command()
  
def set_freq(v):
  global freq
  freq = v
  send_command()

rs=tk.Scale(window,label='红色分量 R',from_=0,to=255,orient=tk.HORIZONTAL,length=400,showvalue=1,tickinterval=255,resolution=1,command=set_r)
rs.pack()
gs=tk.Scale(window,label='绿色分量 G',from_=0,to=255,orient=tk.HORIZONTAL,length=400,showvalue=1,tickinterval=255,resolution=1,command=set_g)
gs.pack()
bs=tk.Scale(window,label='蓝色分量 G',from_=0,to=255,orient=tk.HORIZONTAL,length=400,showvalue=1,tickinterval=255,resolution=1,command=set_b)
bs.pack()
tk.Label(window,text = '').pack()
freq_s=tk.Scale(window,label='蜂鸣器频率(HZ)',from_=0,to=1000,orient=tk.HORIZONTAL,length=400,showvalue=1,tickinterval=1000,resolution=1,command=set_freq)
freq_s.pack()

window.mainloop()